chabuku

Where Can I Download An Older Version?

Recommended Posts

Is there someplace I can download an older version of BitTorrent Sync? I really don't like the new interface, as well BitTorrent Sync has stopped working the same way it used to. I tried sending a log but that didn't fix my problem... I was just told my problem was a permissions issue on a folder that hasn't changed for 6 months, though it seemed to work just fine up until recently, nothing changed except my Sync version. 

 

I also noticed while at work yesterday my files are being overwritten while I'm working on them (and saving them in the process) with older files.

 

BitTorrent Sync worked perfectly for me until I updated.... where can I download a couple versions back?

 

 

Share this post


Link to post
Share on other sites

Thanks, I see you're using old versions as well (according to your signature)

 

I've got about 250 gb I'm syncing myself so overwriting in the wrong direction is no good!

Share this post


Link to post
Share on other sites

I have to agree with chabuku - I really don't like the 1.4 interface. I think it's a massive step backwards. The over-simplification of the UI has (likely) alienated most people who are already using BTSync - Us geeks who want to see the nitty gritty.

 

I've not had performance issues, so there's nothing here to log, apart from just subjective feedback. Also, the UI is not accessible at all by any screen reader due to the weird UI renderer you guys are using.

 

-Soen

Share this post


Link to post
Share on other sites

I guess that 1.4 updated your configuration files to a new format and 1.3 can't use that. If you don't have a backup (look for .old files, BTSync on Win at least makes a backup on updates) you'll have to wipe the config and recreate all shares manually.

Share this post


Link to post
Share on other sites

Few days ago i had to reinstall my NAS, so i reinstalled BTSync 1.4.75 (i had 1.3.x before i suppose) and since then i am fighting with syncronization between my NAS and PC.

I wasn't able to resync my existing folder, sync would stop after few seconds. Only deleting old folder on my NAS and creating a new folder would work, so i had to resync 750Gb of data.

Then i had a power loss, i think some btsync files were corrupted though i could still see my folders list, but none of them would work.

The really strange behaviour is that if i pause the sync (on the NAS gui) and then resume it, it would work for few seconds then stops again...

 

Then finally i found this topic, i removed 1.4.75 from NAS and PC and reinstalled 1.3.109 and voilà, no more sync problem. I had to reconfigure my peers but it synced with existing data without delete anything...

 

So it's a thumb down for 1.4.x for me

Share this post


Link to post
Share on other sites

I emailed the staff about a problem I was experiencing with 1.3.109, and they just told me to install 1.4.75, and I just haven't been able to bring myself to do it again.

Hoping these problems won't exist when the next version comes around. I was just checking back to see if this was still happening to people, and it seems so.

Share this post


Link to post
Share on other sites

 

I've just made an account to say THANK YOU!

In that links there are the executables for all the platforms. Last versions (1.4.72 and so on) becomes unusable for me, both Windows and Android versions... just couldn't make it works without using Bittorrent networks.

Thank you again, Jimmy! :D

Share this post


Link to post
Share on other sites

Hi RomanZ

 

I've had off-list discussions with another user and we both found 1.4 quite jarring.  Basically the interface for 1.3x worked, was easy to understand and didn't get in the way.

 

Perhaps you need to have 1.4x switchable to 1.3x mode or something?  I'm about to try to back-grade to 1.3.

 

Cheers

 

Pedro

Share this post


Link to post
Share on other sites

 

Perhaps you need to have 1.4x switchable to 1.3x mode or something?

No, it is not possible. Older interface simply does not exist for 1.4.

 

Do you want to downgrade because if UI or there are something else that is not working well?

Share this post


Link to post
Share on other sites

Just signed up to say thanks. I also had to revert back to 1.3 from 1.4.103. I kept running into the issue where it would start to sync and then just stop after a few seconds. Pausing/resuming or restarting sync on the receiving side got it started again, but it always stops within 10 seconds of starting. Very frustrating, and now all my other clients are on 1.4 and it's not backwards-upgradeable. What a nightmare.

Share this post


Link to post
Share on other sites

@ninja6o4

If you want to help us with the issue happening in your setup - let me know, we'll do our best to debug and fix it.

 

I can give it another shot, since 1.3 has its own share of bugs.

How should I start the troubleshooting when I update back to 1.4? I'll post a new thread as well.

Share this post


Link to post
Share on other sites

We've been having similar issues. I've been using Sync for a long time, and never any serious issues with 1.3. Every now and then a file might get deleted or something, but we were always able to retrieve it from the archive. After upgrading to 1.4, we started having issues where Sync was locking files and preventing apps from saving files. Then after upgrading to the latest version, 1.4.103, we now have issues with Sync deleting the contents of a file and just leaving a 0 kb file behind. There is no deleted file in the archive or anything. So we end up losing the file (and sometimes hours of work) completely. We also often have folders say they are "out of sync" and take a long time to sync one file (usually right before it deletes the file's contents).

 

I emailed support with copies of our logs so hopefully you can debug this issue.

 

As for the UI, I don't really care what it looks like. I just care that it safely and reliably syncs my files without losing any of our data.

 

I think we will try downgrading to 1.3, since that used to work fine for us. If the db's aren't compatible, should we delete the .sync folder so it can start from scratch?

Share this post


Link to post
Share on other sites

@MichaelIhns

If you are downgrading - yes, you have to uninstall with cleaning up all app data as well as delete .sync subfolders in directories you sync.

While you are on 1.4 - please cooperate with our support to resolve issues with 1.4.

 

BTW, did you get any Android phones in your mesh?

Share this post


Link to post
Share on other sites

I am already exchanging a few emails with support. Has anyone else experienced similar issues? I would be surprised if it were only me.

 

I haven't connected an Android phone yet but I have been meaning to give it a try.

Share this post


Link to post
Share on other sites

Where I can find all old versions for v1.4.x?

Look for the sticky "Latest 1.4 Beta Desktop Build 1.4.x" thread near the top of the Sync General Discussion forum, and/or search for the forum for "latest desktop build" to locate older 1.4.x build threads

Share this post


Link to post
Share on other sites

Great! Thank you very much :)

 

 

Look for the sticky "Latest 1.4 Beta Desktop Build 1.4.x" thread near the top of the Sync General Discussion forum, and/or search for the forum for "latest desktop build" to locate older 1.4.x build threads

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.